Bug 7115 - Thunderbird на даёт задавать настройки хранения писем (retention policy) в папках
: Thunderbird на даёт задавать настройки хранения писем (retention policy) в па...
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: High normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-12 22:29 MSD by Eugene Shatokhin
Modified: 2016-06-20 19:06 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
Trying to set retention policy for a folder. (26.16 KB, image/png)
2016-06-12 22:29 MSD, Eugene Shatokhin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2016-06-12 22:29:47 MSD
Created attachment 4473 [details]
Trying to set retention policy for a folder.

ОС: ROSA R7 x64 со всеми обновлениями на 11 июня 2016 г.
Thunderbird: 38.6.0

Не получается задать настройки хранения писем (retention policy) в папках. Раньше (пару месяцев назад пробовал) это работало.

Как воспроизвести: правой кнопкой по какой-нибудь папке в Thunderbird => "Folder Properties" => "Retention Policy". Выбираю "Delete messages more than 30 days old". Жму "OK" - ничего не происходит, диалог "Retention Policy" так и остаётся на экране (см. прикреплённый screenshot). 

"Cancel" его закрывает, но выбранный мной вариант при этом не применяется, само собой.

Кстати, при выборе "Delete messages more than 30 days old" галочка "Use my account settings" раньше (когда всё это работало) убиралась автоматически. Сейчас не убирается. Может, это связанные вещи.

Попробовал запустить с отключенными extensions - та же самая ситуация.

Попробовал Thunderbird 31 из release-репозитория для rosa2014.1 - та же самая ситуация.

Было предположение, что мои локальные настройки как-то влияют на это. Удалил всё из ~/.thunderbird, запустил Thunderbird, добавил mail account, создал там папку, попробовал поменять ей retention policy - ровно тот же результат: не работает, симптомы те же. Т.е. не в локальных настройках дело.

Возможно, какие-то обновления в системе на это повлияли.

Попробовал пересобрать Thunderbird 38.6.0 - мало ли, вдруг надо было пересобрать после недавнего обновления Mesa и пр. Нет, не помогло. Симптомы те же.
Comment 1 Eugene Shatokhin 2016-06-12 22:33:54 MSD
Очень неприятный баг, как минимум, в моём случае. На почту каждый день приходит до 1000-1500 писем из разных рассылок, а настроить автоудаление старого теперь не получается.
Comment 2 Eugene Shatokhin 2016-06-14 13:17:26 MSD
Проверил ISO-образы 15368 и 15263 в Live-режиме в вирт. машине - проблема воспроизвелась в обоих случаях.
Comment 3 Vladimir Potapov 2016-06-14 13:27:25 MSD
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=208500
Comment 4 Vladimir Potapov 2016-06-14 13:34:38 MSD
https://bugzilla.mozilla.org/show_bug.cgi?id=1252937
Comment 5 Eugene Shatokhin 2016-06-14 14:14:51 MSD
Пересборка sqlite c -DSQLITE_ENABLE_FTS3_TOKENIZER=1 в CFLAGS исправляет проблему.
Comment 6 Arkady L. Shane 2016-06-14 16:30:00 MSD
Вот сборки с -DSQLITE_ENABLE_FTS3_TOKENIZER=1

https://abf.rosalinux.ru/build_lists/2681820
https://abf.rosalinux.ru/build_lists/2681821

Нужно внимательно потестировать с различными приложениями, что используют sqlite.
Comment 7 Vladimir Potapov 2016-06-16 18:26:04 MSD
The update is sent to expanded testing
***************************************
Comment 8 Vladimir Potapov 2016-06-20 18:25:13 MSD
sqlite-3.12.2-2
https://abf.rosalinux.ru/build_lists/2681820
https://abf.rosalinux.ru/build_lists/2681821
**************************** Advisory ********************************
Fix bug #7115
**********************************************************************
QA Verified